import java.io.File;

import play.Play;
import play.jobs.Job;
import play.jobs.OnApplicationStart;
import util.ConfigReader;
 
@OnApplicationStart
public class Bootstrap extends Job {
	
    public void doJob() {
    	if(ConfigReader.spriteCacheDir.value() != null)
    		mkdir_p(ConfigReader.spriteCacheDir.value());    	
    }

    private static void mkdir_p(String path) {
        String[] dirs = path.split("/");
        StringBuilder dir = new StringBuilder();
        if(path.startsWith("/")) dir.append("/");
        
        for(String d:dirs) {
            dir.append(d);
            File dstFile = new File(dir.toString());
            if(! dstFile.exists()) {
                dstFile.mkdir();
            }
            dir.append("/");
        }
    }    
}