package models.util.image;

import org.junit.*;
import play.test.*;

public class DataPieTest extends UnitTest {

	String plainName = "boat";
	DataSlice ds1 = DataSlice.init(plainName + ".png", "pics/mypics/", new int[] {1, 1, 2, 2, 3, 3}, 3, 2);
	DataSlice ds2 = DataSlice.init("car.png", "pics/mypics/", new int[] {7, 7, 7, 7, 8, 8, 8, 8, 9, 9, 9, 9}, 4, 3);
	DataPie dp = DataPie.init(new DataSlice[] {ds1, ds2});

	@Before
	public void setUp() {
	}
	
	@Test
    public void testDataSlice() {
		assertTrue(ds1.getFileNameSansExt().equals(plainName));
    }

	@Test
    public void testDataPie() {
		assertTrue(dp.getWidth() == 3);
		assertTrue(true);
		assertTrue(ds1.getHorizontalPos() == 0);
		assertTrue(ds2.getHorizontalPos() == 0);
		assertTrue(ds1.getVerticalPos() == 7);
		assertTrue(ds2.getVerticalPos() == 4);
    }

}
